local mod = ...



-- Building Part: Preacher's Tent -------------------------------------------------------------------------------------
mod:register({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_ESSENTIALS_PREACHER",
	Name = "BUILDING_PART_ESSENTIALS_PREACHER_NAME", 
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ESSENTIALS_PREACHER"
	},
	BuildingZone = { 
		ZoneEntryList = {
			{ 
				Polygon = polygon.createRectangle( {7.5, 5.5}, {0, 0} ),
				Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = false } 
			}
		}
	},
	AssetBuildingFunction = "BUILDING_FUNCTION_ESSENTIALS_PREACHER",
	Cost = {
        BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 1 } },
        UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 8 } },
        RessourcesNeeded = {
            { Resource = "WOOLEN_CLOTH", Quantity = 10 },
		}
	}
})



-- Building Function: Preacher's Tent -------------------------------------------------------------------------------------
mod:register({
    DataType = "BUILDING_FUNCTION_MARKET",
    Id = "BUILDING_FUNCTION_ESSENTIALS_PREACHER",
	Name = "BUILDING_FUNCTION_ESSENTIALS_PREACHER_NAME",
	IsPrivate = false,
    WorkerCapacity = 1,
    RelatedJob = { 
        Job = "JOB_ESSENTIALS_PREACHER", 
        Behavior = "BEHAVIOR_WORK"
	},
	TypeList = { "SERVICE" },
	IsOverrideCapacity = true,
	CapacityPerSlot = 10,
	InputInventoryCapacity = {
	},
    ResourceListNeeded = {
	},
	ResourceProduced = {
		{ Resource = "FAITH", Quantity = 1 },
	}
})



-- Job: Preacher -------------------------------------------------------------------------------------
mod:register({
	DataType = "JOB",
	Id = "JOB_ESSENTIALS_PREACHER",
	JobName = "JOB_ESSENTIALS_PREACHER_NAME",
	JobDescription = "JOB_ESSENTIALS_PREACHER_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_WORK",
	-- UseWorkplaceBehavior = true,
    ProductionDelay = 20.0, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP", 
		-- LeftHandObject = {
		-- 	Model = "PREFAB_TOOL_ENVOY_SCROLL_LONG",
		-- 	WorkAttachName = "Scroll_Anchor", 
		-- 	WalkAttachName = "Scroll_Anchor"
		-- },
        -- FemaleFrontList = {
        --     "PREFAB_ENTERTAINMENT_ACTOR_FEMALE_FRONT",
        -- },
        -- FemaleBeltList = {
        --     "PREFAB_ENTERTAINMENT_ACTOR_FEMALE_BELT",
        -- },
        -- MaleFrontList = {
        --     "PREFAB_ENTERTAINMENT_ACTOR_MALE_FRONT",
        -- },
        -- MaleBeltList = {
        --     "PREFAB_ENTERTAINMENT_ACTOR_MALE_BELT",
        -- },
		WalkAnimation = "WALKING",
		IdleAnimation = "MARKET_TENDER"
	}
})

mod:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_ESSENTIALS_PREACHER"
    }
})

mod:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_ESSENTIALS_PREACHER"
    }
})

mod:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_ESSENTIALS_PREACHER"
    }
})
